package com.icontrols.oauth.repo;

import java.util.List;

import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import com.icontrols.oauth.model.ComplexInfo;

@Repository
public interface ComplexInfoRepository extends CrudRepository<ComplexInfo, Long> {

	List<ComplexInfo> findAll();

	List<ComplexInfo> findByComplexCode(String complexCd);

	List<ComplexInfo> findByComplexIp(String complexIp);

}
